% Metadati e radio
% [onderiflesse](https://onderiflesse.noblogs.org)
% 2024-04-06

# Intro

+ Come
  - FM (RDS)
  - Streaming
  - DAB+ (cenni)
+ Cosa
  - Cosa fanno gli altri
  - E noi?


# FM

## RDS

Standard anni 80, prime implementazioni anni 90

Aggiunge informazioni testuali alla trasmissione FM

Specifico per l'FM

## Program Station

![](in/img/car-radio-rds8.jpeg){ width=100% }


## Scrolling come appare

![](in/img/car-radio-scrolling-veloce.webm)

## Scrolling come è

![](in/img/car-radio-scrolling.png)

## RadioText

![](in/img/car-radio-scrolling-lancia-ypsilon.webm)

## RadioText

- Lo scrolling è fatto bene! (gestito dal ricevitore).
- Adatto a messaggi lunghi
- I ricevitori lo implementano sempre più spesso, ma ancora non sempre

## Altri metadati

Tanti! Non sempre facile capire quanto sono implementati.

- Orario
- PTY
- Music/Speech
- EON (potrebbe essere interessante impostarlo per gemellaggi tra radio nostre)

## In pratica

[Pira P164](https://pira.cz/rds/show.asp?art=p164) 270€

Gli parli in USB(seriale) o Ethernet.

UI windows, oppure arriva Sergio: https://git.lattuga.net/techbloc/sergio/

# Streaming

Di come in teoria è tutto facile e poi in realtà è un delirio

## liquidsoap

C'è il tutorial: https://www.liquidsoap.info/doc-dev/metadata.html !

Funziona!

... ma non davvero...

## dove si inseriscono i dati

- Flusso audio stesso
- Flusso icecast (tag ICY)

## ICY

Un merdaio fatto attorno al protocollo HTTP.

streampunk non lo supporta.

## Dati dentro il flusso OGG

funziona bene ma su alcuni player fa una scureggetta quando imposti dati nuovi.

Per fortuna quei client sono poco usati (mpv e compari).

## Browser

Non ci sono API per accedere ai metadati.

Workaround: metterli in un file statico e fare polling.

## App di streaming per smartphone

Supportano i metadati nel flusso audio? pare di no.

Supportano i metadati in ICY? sì.
 - ma non erano deprecati?
 - streampunk non li supporta!

::: notes

http://onair15.xdevel.com:9120/;

# DAB+

Suppongo sia tutto facile, ma non lo so davvero.

# Metadati

Ovvero: Sì, ma cosa?

## RadioText: gli altri

- `Artista - Titolo`
- stai ascoltando "Primo Movimento". Segue: "Ad alta voce"
- info@radioradicale.it (bah)
- sei sintonizzato sul trasmettitore di Roma Montemario
- numero di telefono
